Subject: Error with self signed certificate

From: "Ian Truelsen" <[email-masked]>
Date: Sun, 31 Mar 2002 01:22:02 -0600

I am trying to set up a self-signed certificate for my Apache server. 
Following the instructions in the docs, I was able to create the server.key, 
server.crt and ca.key without any errors. However, when I try to use the 
sign.sh script to sign the script, I get the following: 

ian@dark-lord ian $ ./sign.sh server.csr
CA signing: server.csr -> server.crt:
Using configuration from ca.config
Enter PEM pass phrase:
Check that the request matches the signature
Signature ok
The Subjects Distinguished Name is as follows
countryName           :PRINTABLE:'CA'
stateOrProvinceName   :PRINTABLE:'Manitoba'
localityName          :PRINTABLE:'Winnipeg'
organizationName      :PRINTABLE:'Hellacious Places'
commonName            :PRINTABLE:'www.ihtruelsen.2y.net'
emailAddress          :IA5STRING:[email-masked]'
Certificate is to be certified until Mar 31 07:02:41 2003 GMT (365 days)
Sign the certificate? [y/n]:y 

1 out of 1 certificate requests certified, commit? [y/n]y
Write out database with 1 new entries
Data Base Updated
CA verifying: server.crt <-> CA cert
server.crt: /C=CA/ST=Manitoba/L=Winnipeg/O=Hellacious 
Places/CN=www.ihtruelsen.2y.net/Email=[email-masked]
error 18 at 0 depth lookup:self signed certificate
/C=CA/ST=Manitoba/L=Winnipeg/O=Hellacious 
Places/CN=www.ihtruelsen.2y.net/Email=[email-masked]
error 7 at 0 depth lookup:certificate signature failure 

Now, there is a server.csr created, but I am concerned about the errors. Has 
something gone wrong, or is the server.csr fine to go? 

Thanks in advance. 

Ian Truelsen
Masters program in Philosophy
University of Manitoba, Winnipeg, Canada
BA (Wilfrid Laurier University)
Email: [email-masked] 

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]